
//`#start header` -- edit after this line, do not edit this line
// ========================================
//
// Copyright YOUR COMPANY, THE YEAR
// All Rights Reserved
// UNPUBLISHED, LICENSED SOFTWARE.
//
// CONFIDENTIAL AND PROPRIETARY INFORMATION
// WHICH IS THE PROPERTY OF your company.
//
// ========================================
`include "cypress.v"
//`#end` -- edit above this line, do not edit this line
// Generated on 08/27/2012 at 00:03
// Component: DSDDAC
module dac(clk,nrst,data,dout);

`define wl 17

input clk,nrst;
input [`wl-2:0]data;
output dout;

reg [`wl-1:0]acc;

always @ (posedge clk or negedge nrst)
begin
	if(!nrst)
	begin 
		acc <= 17'b0;
	end
	else
	begin
    	acc <= acc[`wl-2:0] + data;
	end
end

assign dout = acc[`wl-1];

endmodule

module DSDDAC (
	dout,
	clk,
	nwr,
	nrst
);
	output  dout;
	input   clk;
	input 	nwr;
	input   nrst;


wire [15:0]datawire;
reg [15:0]datareg;

dac dac(.nrst(nrst),.clk(clk),.data(datareg),.dout(dout));
cy_psoc3_control #(.cy_init_value (8'hff), .cy_force_order(`TRUE))
DRL(
/* output [07:00] */ .control(datawire[7:0])
);
cy_psoc3_control #(.cy_init_value (8'h7f), .cy_force_order(`TRUE))
DRH(
/* output [07:00] */ .control(datawire[15:8])
);

always @ (negedge nwr or negedge nrst)
begin
	if(!nrst)
	begin
		datareg <= 16'd0;
	end
	else
	begin
		datareg <= datawire;
	end
end

//`#end` -- edit above this line, do not edit this line
endmodule
//`#start footer` -- edit after this line, do not edit this line
//`#end` -- edit above this line, do not edit this line
